> For the complete documentation index, see [llms.txt](https://docs.griaule.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.griaule.com/apis/biographic-database/models.md).

# Models

## The AuthorizationRequest object

```json
{"openapi":"3.0.3","info":{"title":"Biographic Database API","version":"1.1.0"},"components":{"schemas":{"AuthorizationRequest":{"type":"object","description":"Authorization request","properties":{"clientID":{"type":"string"},"clientSecret":{"type":"string"}}}}}}
```

## The AuthorizationResponse object

```json
{"openapi":"3.0.3","info":{"title":"Biographic Database API","version":"1.1.0"},"components":{"schemas":{"AuthorizationResponse":{"type":"object","description":"JWT Token Response","properties":{"token":{"type":"string"}}}}}}
```

## The RequestIds object

```json
{"openapi":"3.0.3","info":{"title":"Biographic Database API","version":"1.1.0"},"components":{"schemas":{"RequestIds":{"type":"object","properties":{"ids":{"type":"array","description":"List of IDs to be retrieved with a list of keys.","items":{"$ref":"#/components/schemas/RequestId"}}}},"RequestId":{"type":"object","properties":{"id":{"type":"string","description":"An ID to be retrieved. It can be any ID, such as a GBDS GUID, so it can be identified on the response."},"keys":{"type":"array","description":"List of keys to identify the ID on the server. Only one key per ID is necessary to identify it on the server.","items":{"$ref":"#/components/schemas/RequestKey"}}}},"RequestKey":{"type":"object","properties":{"key":{"type":"string"},"value":{"type":"string"}}}}}}
```

## The RequestId object

```json
{"openapi":"3.0.3","info":{"title":"Biographic Database API","version":"1.1.0"},"components":{"schemas":{"RequestId":{"type":"object","properties":{"id":{"type":"string","description":"An ID to be retrieved. It can be any ID, such as a GBDS GUID, so it can be identified on the response."},"keys":{"type":"array","description":"List of keys to identify the ID on the server. Only one key per ID is necessary to identify it on the server.","items":{"$ref":"#/components/schemas/RequestKey"}}}},"RequestKey":{"type":"object","properties":{"key":{"type":"string"},"value":{"type":"string"}}}}}}
```

## The RequestKey object

```json
{"openapi":"3.0.3","info":{"title":"Biographic Database API","version":"1.1.0"},"components":{"schemas":{"RequestKey":{"type":"object","properties":{"key":{"type":"string"},"value":{"type":"string"}}}}}}
```

## The Ids object

```json
{"openapi":"3.0.3","info":{"title":"Biographic Database API","version":"1.1.0"},"components":{"schemas":{"Ids":{"type":"object","properties":{"ids":{"description":"List of IDs retrieved from the server with a list of biographics.","type":"array","items":{"$ref":"#/components/schemas/Id"}}}},"Id":{"type":"object","properties":{"id":{"type":"string","description":"ID retrieved from the server."},"biographics":{"type":"array","description":"List of biographics for an ID with key, value and type.","items":{"$ref":"#/components/schemas/Biographic"}}}},"Biographic":{"type":"object","properties":{"key":{"type":"string","description":"Biographic key."},"type":{"type":"string","description":"Biographic type. It can be TEXT or FACE.","enum":["TEXT","FACE"]},"value":{"type":"string","description":"Biographic value. Faces are encoded in Base64."}}}}}}
```

## The Id object

```json
{"openapi":"3.0.3","info":{"title":"Biographic Database API","version":"1.1.0"},"components":{"schemas":{"Id":{"type":"object","properties":{"id":{"type":"string","description":"ID retrieved from the server."},"biographics":{"type":"array","description":"List of biographics for an ID with key, value and type.","items":{"$ref":"#/components/schemas/Biographic"}}}},"Biographic":{"type":"object","properties":{"key":{"type":"string","description":"Biographic key."},"type":{"type":"string","description":"Biographic type. It can be TEXT or FACE.","enum":["TEXT","FACE"]},"value":{"type":"string","description":"Biographic value. Faces are encoded in Base64."}}}}}}
```

## The Biographic object

```json
{"openapi":"3.0.3","info":{"title":"Biographic Database API","version":"1.1.0"},"components":{"schemas":{"Biographic":{"type":"object","properties":{"key":{"type":"string","description":"Biographic key."},"type":{"type":"string","description":"Biographic type. It can be TEXT or FACE.","enum":["TEXT","FACE"]},"value":{"type":"string","description":"Biographic value. Faces are encoded in Base64."}}}}}}
```

## The Update object

```json
{"openapi":"3.0.3","info":{"title":"Biographic Database API","version":"1.1.0"},"components":{"schemas":{"Update":{"type":"object","description":"An ID identified with a list of keys and list to biographics to update it with.","properties":{"keys":{"type":"array","items":{"$ref":"#/components/schemas/RequestKey"}},"biographics":{"type":"array","items":{"$ref":"#/components/schemas/Biographic"}}}},"RequestKey":{"type":"object","properties":{"key":{"type":"string"},"value":{"type":"string"}}},"Biographic":{"type":"object","properties":{"key":{"type":"string","description":"Biographic key."},"type":{"type":"string","description":"Biographic type. It can be TEXT or FACE.","enum":["TEXT","FACE"]},"value":{"type":"string","description":"Biographic value. Faces are encoded in Base64."}}}}}}
```

## The UpdateStatus object

```json
{"openapi":"3.0.3","info":{"title":"Biographic Database API","version":"1.1.0"},"components":{"schemas":{"UpdateStatus":{"type":"object","description":"Status of update operation","properties":{"status":{"type":"integer","description":"HTTP status","enum":[201,202]},"message":{"type":"string","description":"Status message","enum":["Created","Updated"]}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.griaule.com/apis/biographic-database/models.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
